/*
	A basic extension of the java.awt.Frame class
 */

import java.awt.*;

public class Select extends Frame
{
    String username="";
    
	public Select()
	{
		setLayout(null);
		setVisible(false);
		setSize(421,519);
		setFont(new Font("Dialog", Font.BOLD, 16));
		setBackground(new Color(-12550016));
		label1 = new java.awt.Label("Select Clients to execute ");
		label1.setBounds(60,12,306,36);
		label1.setFont(new Font("MonoSpaced", Font.BOLD, 20));
		label1.setForeground(new Color(16762880));
		label1.setBackground(new Color(-12550016));
		add(label1);
		label2 = new java.awt.Label("        Simulation");
		label2.setBounds(60,48,306,36);
		label2.setFont(new Font("MonoSpaced", Font.BOLD, 20));
		label2.setForeground(new Color(16762880));
		label2.setBackground(new Color(-12550016));
		add(label2);
		checkbox1 = new java.awt.Checkbox("  Bongo");
		checkbox1.setVisible(false);
		checkbox1.setBounds(156,132,96,36);
		checkbox1.setFont(new Font("Dialog", Font.ITALIC, 16));
		checkbox1.setBackground(new Color(12632256));
		add(checkbox1);
		checkbox2 = new java.awt.Checkbox("  Maraca");
		checkbox2.setVisible(false);
		checkbox2.setBounds(156,168,96,36);
		checkbox2.setFont(new Font("Dialog", Font.ITALIC, 16));
		checkbox2.setBackground(new Color(12632256));
		add(checkbox2);
		checkbox3 = new java.awt.Checkbox("  Argo");
		checkbox3.setVisible(false);
		checkbox3.setBounds(156,204,96,36);
		checkbox3.setFont(new Font("Dialog", Font.ITALIC, 16));
		checkbox3.setBackground(new Color(12632256));
		add(checkbox3);
		checkbox4 = new java.awt.Checkbox("  Lyra");
		checkbox4.setVisible(false);
		checkbox4.setBounds(156,240,96,36);
		checkbox4.setFont(new Font("Dialog", Font.ITALIC, 16));
		checkbox4.setBackground(new Color(12632256));
		add(checkbox4);
		button1 = new java.awt.Button();
		button1.setLabel("Reset");
		button1.setBounds(228,372,84,36);
		button1.setBackground(new Color(12632256));
		add(button1);
		button2 = new java.awt.Button();
		button2.setLabel("Continue");
		button2.setBounds(120,372,97,36);
		button2.setFont(new Font("Dialog", Font.BOLD, 16));
		button2.setBackground(new Color(12632256));
		add(button2);
		label3 = new java.awt.Label("  Connecting to database ");
		label3.setBounds(72,468,276,24);
		label3.setFont(new Font("DialogInput", Font.PLAIN, 17));
		label3.setBackground(new Color(12632256));
		add(label3);
		setTitle("Untitled");
		//}}

		//{{INIT_MENUS
		//}}

		//{{REGISTER_LISTENERS
		SymWindow aSymWindow = new SymWindow();
		this.addWindowListener(aSymWindow);
		SymKey aSymKey = new SymKey();
		button1.addKeyListener(aSymKey);
		SymMouse aSymMouse = new SymMouse();
		button1.addMouseListener(aSymMouse);
		button2.addMouseListener(aSymMouse);


		//}}
	}

	public Select(String title)
	{
		this();
		setTitle(title);
	}

    /**
     * Shows or hides the component depending on the boolean flag b.
     * @param b  if true, show the component; otherwise, hide the component.
     * @see java.awt.Component#isVisible
     */
    public void setVisible(boolean b)
	{
		if(b)
		{
			setLocation(50, 50);
		}
		super.setVisible(b);
	}

	static public void main(String args[])
	{
		//(new Select()).setVisible(true);
	}
	
	public void addNotify()
	{
	    // Record the size of the window prior to calling parents addNotify.
	    Dimension d = getSize();
	    
		super.addNotify();

		if (fComponentsAdjusted)
			return;

		// Adjust components according to the insets
		setSize(insets().left + insets().right + d.width, insets().top + insets().bottom + d.height);
		Component components[] = getComponents();
		for (int i = 0; i < components.length; i++)
		{
			Point p = components[i].getLocation();
			p.translate(insets().left, insets().top);
			components[i].setLocation(p);
		}
		fComponentsAdjusted = true;
	}
	
	public void initialize() {
    	try {
    		  Thread.sleep(1000);
    		} catch (Exception e) {}
        	label3.setText("      Retreiving Data    ");
         DB db = new DB();
         String clients[][];
         clients = db.list_clients();
         checkbox1.setLabel(clients[0][0]);
         checkbox2.setLabel(clients[1][0]);
         checkbox3.setLabel(clients[2][0]);
         checkbox4.setLabel(clients[3][0]);         
         //for (int counter=0; counter<=clients.length-1; counter++) {
         //    textArea1.append(clients[counter][0]+" "+clients[counter][1]+" "+clients[counter][2]);
         //}
    		try {
    		  Thread.sleep(1000);
	    	} catch (Exception e) {}
         label3.setText("       Data Retreived ");        
         checkbox1.setVisible(true);
         checkbox2.setVisible(true);
         checkbox3.setVisible(true);
         checkbox4.setVisible(true);
         //canvas1.setVisible(true);         
	}

    // Used for addNotify check.
	boolean fComponentsAdjusted = false;

	//{{DECLARE_CONTROLS
	java.awt.Label label1;
	java.awt.Label label2;
	java.awt.Checkbox checkbox1;
	java.awt.Checkbox checkbox2;
	java.awt.Checkbox checkbox3;
	java.awt.Checkbox checkbox4;
	java.awt.Button button1;
	java.awt.Button button2;
	java.awt.Label label3;
	//}}

	//{{DECLARE_MENUS
	//}}

	class SymWindow extends java.awt.event.WindowAdapter
	{
		public void windowClosing(java.awt.event.WindowEvent event)
		{
			Object object = event.getSource();
			if (object == Select.this)
				Frame1_WindowClosing(event);
		}
	}
	
	void Frame1_WindowClosing(java.awt.event.WindowEvent event)
	{
		setVisible(false);		 // hide the Frame
	}

	class SymKey extends java.awt.event.KeyAdapter
	{
		public void keyPressed(java.awt.event.KeyEvent event)
		{
			Object object = event.getSource();
			if (object == button1)
				button1_KeyPressed(event);
		}
	}

	void button1_KeyPressed(java.awt.event.KeyEvent event)
	{
		// to do: code goes here.
			 
		//{{CONNECTION
		// Clear the Checkbox
		//}}
	}

	class SymMouse extends java.awt.event.MouseAdapter
	{
		public void mouseClicked(java.awt.event.MouseEvent event)
		{
			Object object = event.getSource();
			if (object == button1)
				button1_MouseClicked(event);
			else if (object == button2)
				button2_MouseClicked(event);
		}
	}

	void button1_MouseClicked(java.awt.event.MouseEvent event)
	{
		// to do: code goes here.
			 
		//{{CONNECTION
		// Clear the Checkbox
		checkbox1.setState(false);
		checkbox2.setState(false);
		checkbox3.setState(false);
		checkbox4.setState(false);		
		//}}
	}

	void button2_MouseClicked(java.awt.event.MouseEvent event)
	{
		// to do: code goes here.
			 
		//{{CONNECTION
		// Hide the Checkbox
        this.setVisible(false);
  		Conf conf = new Conf();
  		if (checkbox1.getState() == true) conf.choice1.addItem(checkbox1.getLabel());
  		if (checkbox2.getState() == true) conf.choice1.addItem(checkbox2.getLabel());
  		if (checkbox3.getState() == true) conf.choice1.addItem(checkbox3.getLabel());
  		if (checkbox4.getState() == true) conf.choice1.addItem(checkbox4.getLabel());  		
  		conf.choice1.select(0);
  		conf.initialize();
        conf.panel1.setVisible(true);
  		conf.panel2.setVisible(false);  		
  		conf.username=this.username;
		conf.setVisible(true); 
		//}}
	}
}

